/*******************************************************************************
 * SkelControlSpline generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SkelControlSpline extends SkelControlBase
    native(Anim)
    hidecategories(Object,Object);

enum ESplineControlRotMode
{
    SCR_NoChange,
    SCR_AlongSpline,
    SCR_Interpolate,
    SCR_MAX
};

var(Spline) int SplineLength;
var(Spline) Core.Object.EAxis SplineBoneAxis;
var(Spline) SkelControlSpline.ESplineControlRotMode BoneRotMode;
var(Spline) bool bInvertSplineBoneAxis;
var(Spline) float EndSplineTension;
var(Spline) float StartSplineTension;

defaultproperties
{
    SplineLength=2
    SplineBoneAxis=EAxis.AXIS_X
    EndSplineTension=10.0
    StartSplineTension=10.0
}